apiVersion: "rbac.istio.io/v1alpha1"
kind: ServiceRoleBinding
metadata:
  name: productviewe-binding
  namespace: myproject
spec:
  subjects:
  - properties:
      request.auth.claims[email]: "prod001@gmail.com"
  roleRef:
    kind: ServiceRole
    name: "productviewer"
